Bio::DB::Expression(3)

NAME
Bio::DB::Expression - DESCRIPTION of Object

SYNOPSIS
  use Bio::DB::Expression;
  my $db = Bio::DB::Expression->new( -source => 'geo' );
  my @platforms = $db->get_platforms();
  foreach my $platform ( @platforms ) {
    my @datasets = $platform->get_datasets();
    foreach my $dataset ( @datasets ) {
      my @samples = $dataset->get_samples();
      foreach my $sample ( @samples ) {
        #...
      }
    }
  }

DESCRIPTION
Describe the object here

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Allen Day
Email allenday@ucla.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new()
 Usage   : my $obj = Bio::DB::Expression->new();
 Function: Builds a new Bio::DB::Expression object
 Returns : an instance of Bio::DB::Expression
 Args    :

  get_platforms()
 Usage   :
 Function:
 Example :
 Returns : a list of Bio::Expression::Platform objects
 Args    :

  get_samples()
 Usage   :
 Function:
 Example :
 Returns : a list of Bio::Expression::Sample objects
 Args    :

  get_contacts()
 Usage   :
 Function:
 Example :
 Returns : a list of Bio::Expression::Contact objects
 Args    :

  get_datasets()
 Usage   :
 Function:
 Example :
 Returns : a list of Bio::Expression::DataSet objects
 Args    :

  _load_expression_module
 Title   : _load_expression_module
 Usage   : *INTERNAL Bio::DB::Expression stuff*
 Function: Loads up (like use) a module at run time on demand
 Example :
 Returns :
 Args    :